20230204
- добавлен пакет usb-server (usb-redirector в версия 5.x/6.x)

20230204
- каталог для загрузочных файлов на tftp-сервере переименован из ./ в ts2.2 (param basepath)

20170607
- исправлен стартовый скрипт в пакете ser2net, ser2net.conf должен формироваться правильно

20161031
- в пакет sane добавлена пропущенная библиотека libusb-1.0.so.0

20161029
- в thinstation.conf.buildtime по умолчанию теперь TIME_ZONE="GMT+0"

20161028
- обновлен sane до текущей версии git20161028, добавлена поддержка сканер
  Canon LiDE 120 
- hplip обновлен до версии 3.16.10, пропущенный на прошлой итерации 
  драйвер(backend) hpaio включен в пакет sane
- openvpn обновлен до версии 2.3.12


20150703
- обновлен sane до текущей версии git20150702
- hplip обновлен до версии 3.15.6, backend hpaio включен в пакет sane
- openvpn обновлен до версии 2.3.7
- в конфигурационный файл openvpn добавлены директивы "resolv-retry infinite"
  и "keepalive 10 60"

20131216
- обновлен sane до текущей версии 1.0.24

20130312
- поправлена ошибка в именовании переменных в ser2net.tpl

20120718
- обновлены конфигурационные файлы сканеров (пакет sane)

20120527
- обновлен драйвер r8101
- убран пакет xorg7-intel
 
20120526
- поправлена ошибка в размещении видеодрайвера intel

20120524
- исправлена ошибка драйвера r8101 unresolved symbol DMA_BIT_MASK
- увеличены таймауты чтения файлов конфигурации с медленных USB-устройств
- в 915resolution оставлены режимы:
  49 1440 900 16
  4b 1600 900 16
  4d 1680 1050 16
- для указания 915resolution патчить определенный видеорежим добавлена опция 
  WIDE_SCREEN_915RESOLUTION, пример WIDE_SCREEN_915RESOLUTION="4d 1920 1080 16"

20120523
- в 915resolution режимы отсортированы в порядке возрастания разрешения

20120522
- в конфигурационный файл openvpn добавлена опция float

20120319
- в 915resolution добавлено разрешение 1600x900

20110608
- обновлен драйвер r8101 до версии 1.020.00

20110602
- пересобран текущий rdesktop из trunk

20110531
- обновлен sane до текущей git-версии

20101225
- обновлен драйвер atl1e до версии 1.0.1.14 для поддержки адептеров на 
  Atheros(R) AR8121/AR8113 

20101221
- добавлен поиск конфигурационных файлов на /dev/sdb1 (переменная 
  STORAGE_CONFIG2=/mnt/usbdevice/sdb1), убран STORAGE_CONFIG8=/mnt/1394cd

20101208
- sane обновлен до версии git20101205

20101013
- поправлен файл snapscan.conf из пакета sane на предмет загрузки подходящей 
  прошивки

20101002
- обновлены syslinux, isolinux, pxelinux до версии 4.02

20100927
- добавлен пакет hdupdate, обновляет Thinstation на /mnt/usbdevice/sda1, 
  /mnt/disc/hda1, /mnt/disc/hdb1. Подробности http://thinstation.svn.sourceforge.net/viewvc/thinstation/ThinStation/branches/2.2.1/packages/hdupdate/build/conf/70hdupdate?revision=226&view=markup

20100919
- из thinstation.conf.buildtime убрана переменная NET_HOSTNAME=ts_*,
  благодарность Ruslan Ohitin <ruslan.ohitin at gmail.com>,
  http://www.itadvisor.ru/node/782
- rdesktop пересобран с патчем rdp-redirect-username.patch  
  http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTi%3DZorq%3D6HUawFkOmsAXMCFBTccwEGf4Wro%3DqRd9%40mail.gmail.com&forum_name=rdesktop-devel

20100916
- пересобран rdesktop, починено перенаправление дисков при подключении
  к windows 2008
- sane обновлен до версии git20100916

20100912
- добавлена возможность использовать звездочку (*) в имени хоста в файле 
  thinstation.hosts, она будет заменяться MAC-адресом
- обновлен видеодрайвер intel
- из пакета debug программы arp, dd, ldd, lspci, lsusb, tcpdump перенесены 
  в initrd

20100820
- в файл примеров добавлен новый режим 1920x1080
- поправлены файлы примеров широкоформатных режимов (1440х900, 1680х1050 и 
  1920х1080) в части WIDE_SCREEN=ON

20100818
- sane обновлен до версии git20100816
- пересобран rdesktop
- добавлена новая переменная WIDE_SCREEN=On/Off для включения и выключения
  широкоформатных режимов 1440х900, 1680х1050 и 1920х1080 программой 
  915resolution для интеловских графических чипсетов 845G, 855GM, 865G, 915G, 
  915GM, 945G и 945GM

20100619
- добавлен драйвер контроллера MosChip 9865, благодарность пользователю 
  Андрею Фоминых <fominyh-andrey at yandex.ru> за терпение и настойчивость
- добавлен пакет setserial
- обновлены pci.ids и usb.ids в пакете debug

20100423
- поправлен скрипт mktftpd.cmd
- убрана проверка и загрузка консольных раскладок клавиатуры в файле
  console-keymap
- исправлена ошибка в обработке переменной SOUND_INTEL_HDA в файле audio

20100414
- добавлен ядерный модуль nvidia.ko

20100412
- собрана текущая svn версия rdesktop с патчами 
  http://www2.itadvisor.ru/thinstation/src/patches/rdesktop

20100411
- убраны переменные I915RESOLUTION_ENABLED и I915RESOLUTION_OPTIONS
- видеорежимы 1440x900, 1680x1050, 1920x1080 в видеобиосе графических чипов 
  Intel патчатся автоматически 

20100407
- добавлены видеодрайверы nvidia и intel из Thinstation-2.2.2c
- изменения в примерах конфигурационных файлов для разрешений 
  1440x900 и 1680x1050

20100406
- обновлены syslinux, isolinux, pxelinux до версии 3.86

20100405
- добавлена поддержка новых чипсетов в программу 915resolution
- добавлена программа gtf для  вычисления modeline, например 'gtf 1440 900 60'
  покажет строку modeline для режима 1440х900 с частотой 60 Герц
  
20091216
- обновлен  rdesktop
- добавлены патчи для rdesktop:
  win2008_FileDispositionInformation.patch http://sourceforge.net/tracker/?func=detail&aid=2909831&group_id=24366&atid=381349
  W2k8_IRP.patch http://sourceforge.net/tracker/?func=detail&aid=2894210&group_id=24366&atid=381349

20091206
- добавлен потерянный модуль ndiswrapper.ko

20091204
- обновлен rdesktop
- поправлен скрипт запуска rdesktop для удаления временных лицензий
- убран патч для usb-server

20090810
- обновлен rdesktop

20090715
- изменен скрипт задающий NET_HOSTNAME

20090714
- добавлен недостающий модуль usbnet
- добавлен ID сканера Epson Perfection 1270

20090713
- добавлен драйвер USB-сетевой карты ASIX AX88772

20090704
- rdesktop собран с патчем "Fix IRP Query Volume Information class"
  http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
- добавлен видеодрайвер http://www.openpartner.at/uploads/media/via_drv.so.tar.gz 
  via.83.1.0, который доступен через переменную VIA_DRV=via

20090504
- добавлены недостающие библиотеки http://www.itadvisor.ru/node/459

20090330
- Xorg в тестовой версии обновлен до 7.3
- rdesktop собран с новой версией патча "rdisk: made file operations case insensitive"
  http://sourceforge.net/tracker/?func=detail&aid=2624078&group_id=24366&atid=381349

20090328
- добавлен пакет usb-server с поддержкой USB Redirector RDP Edition 
  http://incentivespro.com/rdp-usb-redirector.html со стороны сервера 
  необходим  http://incentivespro.com/usb-redirector-rdp.zip
- текущая cvs-версия rdesktop пересобрана с патчем для usb-server

20090303
- обновлен драйвер e100 до версии 3.5.17
- задан пароль lplp123 для пакета samba, пользователь root 

20090227
- ядро пересобрано с поддержкой NETFILTER
- добавлен пакет iptables

20090223
- пересобран rdesktop с патчами от Enrico Scholz 
  http://sourceforge.net/tracker/?limit=10&func=&group_id=24366&atid=381349&assignee=&status=&category=&artgroup=&keyword=&submitter=&artifact_id=&limitz=10&assignee=&status=&category=&artgroup=&submitter=ensc&keyword=&artifact_id=&submit=Filter&limitz=10

20090213
- пересобран текущий rdesktop с патчем http://sourceforge.net/mailarchive/forum.php?thread_name=200902131243.10881.sameer.subscriptions%40damagehead.com&forum_name=rdesktop-devel

20090209
- пересобран текущий rdesktop с патчем http://sourceforge.net/mailarchive/forum.php?thread_name=200902091257.39961.sameer.subscriptions%40damagehead.com&forum_name=rdesktop-devel

20090128
- убрали драйвер ATA over Ethernet (aoe), не пригодился ;-)

20090126
- в desktop-пакет вернули firefox-1.5

20090115
-  удалены разрывы строк в udev правилах для принтеров 
   HP LaserJet P1005/P1006/P1007/P1008/P1505

20081216
- обновлены udev правила для принтеров HP LaserJet P1005/P1006/P1007/P1008/P1505

20081201
- обновлен драйвер xgiz_drv

20081126
- исправлен скрипт загрузки прошивки для HP LaserJet P1005/P1006/P1007/P1008/P1505

20081125
- поправлен путь к драйверу xgiz

20081124
- добавлены прошивки для принтеров HP LaserJet P1005/P1006/P1007/P1008/P1505
- добавлен сетевой драйвер r6040 для Vortex86SX (EBOX-2300)

20081031
- используется текущая cvs версия rdesktop
- в сборку rdesktop добавлен патч для brush cache
  http://sourceforge.net/mailarchive/forum.php?thread_name=a7eb578e0810302207jd288292reb0b14e1274c71bf%40mail.gmail.com&forum_name=rdesktop-devel

20081027
- обновлен драйвер marvell 88E80XX
- добален драйвер Atheros(R) AR8121/AR8113 PCI-E Ethernet

20081026
- пропатчен сетевой драйвер sis190

20081025
- openvpn обновлен до версии 2.1_rc13

20081024
- пересобрано ядро с эмуляцией сопроцессора
- используется alsa-driver-1.0.18rc3

20081022
- добавлена возможность указывать до 5-ти ser2net портов через переменные 
  SER2NET_XXX,SER2NET_XXX1,...,SER2NET_XXX4
- изменены значения переменных по умолчанию для MOUSE_ACCELERATION=1 и 
  MOUSE_SENSITIVITY=2
- добавлен пакет tcpdump

20081007
- исправлена проблема чувствительности колеса мыши, благодарность пользователю 
  Sam7 http://www.itadvisor.ru/node/295
- применен патч для HD Audio Fix, благодарность  пользователю AlexSyS 
  http://www.itadvisor.ru/node/298
- используется текущая cvs версия rdesktop

20080911
- в сборку rdesktop добавлен патч для корректного отображения курсора
  http://swartzlander.org/rdesktop-1.6.0-bswartz-cursor.patch

20080908
- обновлены syslinux, isolinux, pxelinux до версии 3.71

20080902
- внесены изменения в udev-правила для кардридеров

20080829
- удален файл 60_iscan.rules, как бесполезный
- в пакете debug обновлены pci.ids и usb.ids
- ещё изменения правила для кардридеров, добавлен скрипт 
  /etc/udev/scripts/usbcardreader.sh

20080826
- внесены измненения в правило 10-udev.rules для монтирования usb-кардридеров
- изменено значение переменной TIME_ZONE, теперь по умолчанию это
  TIME_ZONE="MSK-3MSD,M3.5.0/2,M10.5.0/3", перевод часов осуществляется 
  в два часа ночи пятой недели марта  и в три часа ночи пятой недели октября, 
  полный список возможных значений находится здесь http://wiki.openwrt.org/OpenWrtDocs/WhiteRussian/Configuration#head-037616e62986b57c5fc312bc143b16d6f0687d6b 

20080818
- обновлен драйвер forcedeth до версии  0.62, благодарность пользователю Techus 
  http://www.itadvisor.ru/node/253#comment-561
- используется драйвер r8101 с сайта Realtek ftp://61.56.69.18/cn/nic/r8101-1.006.00.tar.bz2
  для сетевых карт на чипах RTL8101E и RTL8102E(L)

20080806
- поправлен скрипт для запуска 915resolution

20080730
- добавлена программа 915resolution и переменные для её настройки

20080715
- изменения в скрипте sane-firmware в части загрузки прошивки для сканера 
  Mustek BearPaw 2400CU+ II

20080711
- tftp-hpa пересобран с патчами из fedora 9

20080710
- изменения в стартовом скрипте dhcp-сервера

20080709
- в качестве tftp-сервера используется tftp-hpa-0.48
- для обхода ошибки некоторых pxe-загрузчиков, которые добавляют символ
  0xff в конец имени файла, используется файл /etc/tftpd.rules, для использования
  своих правил необходимо пользоваться переменной TFTPD_OPTIONS
- по умолчанию включена маршрутизация между интерфейсами

20080708
- изменения в стартовом скрипте tftp-сервера

20080707
- используется busybox-1.10.4
- для организации на базе dhcp/tftp-сервера добавлены in.tftpd и udhcpd

20080706
- используется ndiswrapper-1.53
- обновлены syslinux, isolinux, pxelinux до версии 3.70

20080705
- к ядру 2.6.17.14 применен патч http://www.mail-archive.com/linux-usb-devel@lists.sourceforge.net/msg39379.html
  обеспечивающий более корректные тайминги на шине USB при работе с 
  принтерами HP LaserJet 1000/1005/1018/1020/1022

20080626
- в прошлой сборке драйвер r8168 потерялся, теперь его добавили
- изменено именование desktop пакета с thinstation-%VERSION%-%BUILD%-desktop.zip
  на thinstation-%VERSION%-desktop-%BUILD%.zip

20080621
- используется драйвер r8168 с сайта Realtek ftp://61.56.69.18/cn/nic/r8168-8.006.00.tar.bz2
  для сетевых карт на чипах RTL8168B/8111B и RTL8168C/8111C
- используется драйвер r8169 с сайта Realtek ftp://61.56.69.18/cn/nic/r8169-6.006.00.tar.bz2 
  для сетевых карт на чипах RTL8169S/8110S, RTL8169SB/8110SB и RTL8110SC

20080619
- вернули создание etherboot образа с опцией --format=nbi
- используется busybox-1.10.3
- появилась команда arp
- даунгрейд ядра до версии 2.6.17.14, работает поддержка в Windows Explorer
  длинных имен на дисках, перенаправленных (redirected) с тонкого клиента

20080604
- в качестве эксперимента etherboot образ делается с опцией --format=elf

20080603
- поправлен скрипт thinstation.functions, снова работает RECONNECT_PROMPT=MENUXX,
  благодарность Вячеславу Степанову <step at hoztorg.ru> за настойчивость
- обновлены syslinux, isolinux, pxelinux до версии 3.63

20080602
- используется busybox-1.10.2

20080430
- в thinstation*packages  добавлен пакет powersave.pkg, благодарность Петру
  Моисееву <p.moiseev at igr.ru>, описание находится в файле readme-pkg.txt

20080413
- используется busybox-1.9.2

20080411
- используется текущая cvs версия rdesktop

20080410
- для вывода лога загрузки на экран по клавише F2 изменены параметры загрузки 
  ядра, console=ttyS3 изменен на console=tty1  

20080331
- добавлен сетевой драйвер sis191
- используется текущая cvs версия rdesktop
- обновлен патч для поддержки длинных имен файлов, благодарность Андрею 
  Филонову <aef at bryansktel.ru> https://sourceforge.net/tracker/?func=detail&atid=381347&aid=1673676&group_id=24366

20080322
- в пакет sane-firmware добавлены прошивки для сканеров Epson

20080320
- исправлена ошибка в скрипте подключающем USBCD и USBFDD, благодарность
  пользователю graffiti http://www.itadvisor.ru/node/100#comment-143
- обновлен драйвер r8169 на предмет поддержки Realtek 8111
- используется текущая cvs версия aufs
- обновлен драйвер сетевой карты Attansic L2 http://people.redhat.com/csnook/atl2/

20080317
- udev возвращен к версии 110

20080313
- udev обновлен до версии 118

20080310
- busybox обновлен до версии 1.9.1

20080309
- в initrd.devices добавлен /dev/null
- поправлены udev правила и скрипты для монтирования съемных носителей
- добавлены переменные RDESKTOP_USBFDD, RDESKTOP_USBCD, RDESKTOP_1394CD
- убраны переменные RDESKTOP_USB1 и RDESKTOP_USB2
- изменения в пакете debug, добавлены udevcontrol и udevmonitor

20080304
- обновлен sane до версии 1.0.19
 
20080225
- для поддержки сканеров epson добавлена пропущенная библиотека libesmod.so
- поправлены udev правила для сканеров epson

20080220
- все видеодайверы из пакетов возвращены обратно в initrd

20080219
- используется патч для сглаживания шрифтов в rdesktop
  https://sourceforge.net/tracker/?func=detail&atid=381350&aid=1896697&group_id=24366

20080218
- используется текущая cvs версия rdesktop
- используется ядро 2.6.23.16
- используется madwifi-ng-0.9.4
- используется alsa-driver-1.0.16
- используется ndiswrapper-1.52
- для ускорения загрузки и уменьшения проблем оставлены конфигурационные 
  переменные STORAGE_CONFIG1=/mnt/usbdevice/sda1 и STORAGE_CONFIG2=/mnt/cdrom, 
  остальные STORAGE_CONFIG3-8 можно использовать, но по-умолчанию они пустые
- по умолчанию выключены все перенаправления устройств в rdesktop
  RDESKTOP_1394=Off, RDESKTOP_CDROM=Off, RDESKTOP_COM3=Off, RDESKTOP_COM4=Off
  RDESKTOP_FDD=Off, RDESKTOP_HDD=Off, RDESKTOP_SOUND=Off, RDESKTOP_USB=Off
  RDESKTOP_USBFDD=Off, RDESKTOP_USBCD=Off
- обновлены syslinux, isolinux, pxelinux до версии 3.61

20080124
- используется текущая cvs версия rdesktop
- используется ядро 2.6.23.14
- используется madwifi-ng-r3233-20080123
- используется alsa-driver-hg20080123
- используется ndiswrapper-1.51

20080106
- используется текущая cvs версия rdesktop
- используется madwifi-ng-r3117-20080105

20071228
- используется текущая cvs версия rdesktop
- используется ядро 2.6.23.12
- используется madwifi-ng-r3085-20071227
- используется alsa-driver-hg20071222
- используется ndiswrapper-1.51

20071219
-  в свете игр с Logitech diNovo Media Desktop Laser в ядро на всякий добавлена 
   опция CONFIG_USB_HIDDEV
  
20071217
- используется ядро 2.6.23.11
- используется madwifi-ng-r3063-20071215
- используется alsa-driver-hg20071215

20071215
- в пакете openvpn возможно задание до восьми  альтернативных адресов сервера 
  через переменные OPENVPN_SERVER1...OPENVPN_SERVER8
- в пакете openvpn возможно задание до восьми дополнительных конфигурационых 
  опций через переменные OPENVPN_OPTION1...OPENVPN_OPTION8

20071207
- добавлен драйвер sky2 для поддержки гигабитных сетевых адаптеров на чипсете
  Marvell Yukon 2
 
20071206
- используется ядро 2.6.23.9
- используется madwifi-ng-r3005-20071205
- используется alsa-driver-hg20071204
- используется ndiswrapper-1.50

20071205
- упаковщик zip-архивов сменен с rar на 7z, опции упаковки "-tzip -mx9 -r"

20071121
- используется ядро 2.6.23.8
- используется madwifi-ng-r2859-20071119
- используется alsa-driver-hg20071120
- используется ndiswrapper-1.50rc1

20071120
- используется текущая cvs версия rdesktop с патчем 
  http://sourceforge.net/mailarchive/forum.php?thread_name=BA6C18EE347994438B0EAE38EF8CD6AC01CC1458%40si-mail28.de.bosch.com&forum_name=rdesktop-devel

20071116
- исправлена ошибка с неработающим резолвером из-за того, что отсутствовала
  библиотека libresolv.so, благодарность Петру Моисееву <p.moiseev at igr.ru>

20071105
- используется текущая cvs версия драйвера openchrome revision 425
- используется текущая cvs версия драйвера unichrome 20071105
- используется текущая cvs версия rdesktop

20071015
- в sane добавлена поддержка сканеров EPSON (epkowa)

20071014
- используется ядро 2.6.22.10
- используется madwifi-ng-r2736-20071012
- используется alsa-driver-hg20071013

20071013
- используется sane-backends-2007-10-07
- в sane добавлена поддержка многофункционального устройства HPLJM1005

20071004
- добавлен драйвер сетевой карты Attansic L2
- используется sane-backends-2007-10-02

20071003
- добавлен драйвер сетевой карты Attansic L1

20071002
- добавлены драйверы для различных вариантов  USB Serial Converter:
  USB Generic Serial Driver, USB FTDI Single Port Serial Driver,
  USB TI 3410/5052 Serial Driver
- используется madwifi-ng-r2717-20071002
- используется alsa-driver-hg20071002
- используется ndiswrapper-1.49rc2

20070930
- поправлена ошибка с неправильным названием переменной MOUSE_SENSITIVITY
- используется ядро 2.6.22.9
- используется madwifi-ng-r2708-20070915
- используется alsa-driver-hg20070922
- используется ndiswrapper-1.49rc1
- используется текущая cvs версия rdesktop

20070923
- добавлена новая переменная MOUSE_SENSIVITY, регулирующая 
  чувствительность мыши

20070917
- обновлены syslinux, isolinux, pxelinux до версии 3.51

20070915
- используется ядро 2.6.22.6
- используется madwifi-ng-r2706-20070911
- используется alsa-driver-hg20070911
- используется ndiswrapper-1.48rc2
- поправлены симлинки в udev-правиле 11-hplj10xx.rules
- используется sane-backends-2007-09-12

20070824
- используется ядро 2.6.22.5
- используется madwifi-ng-r2659-20070820
- используется alsa-driver-hg20070823

20070817
- теперь точно используется поправленный файл /etc/init.d/x из текущей 
  svn версии thinstation

20070815
- переменная SCREEN_MODELINE заменена на X_MONITOR_MODELINE
- используется поправленный файл /etc/init.d/x из текущей svn версии
  thinstation

20070811
- используется ядро 2.6.22.2
- используется madwifi-ng-r2634-20070806
- используется ndiswrapper-1.48rc1
- используется sane-backends-2007-08-10
- в sane добавлена поддержка сканеров HP3900-ой серии
- используется текущая cvs версия rdesktop
- добавлены зависимости для ядерного модуля sis7019.ko

20070730
- для поддержки нестандартных разрешений добавлена новая конфигурационная 
  переменная SCREEN_MODELINE, благодарность неизвестному автору сообщения 
  http://www.itadvisor.ru/sites/ita/Discussion%20Board/DispForm.aspx?ID=2469

20070723
- исправлена ошибка с именем иксового драйвера в файле /etc/init.d/x

20070719
- применен патч для исправления бага с переменными SCREEN_HORIZSYNC и
  SCREEN_VERTREFRESH

20070718
- добавлено udev правило 70-libsane-udev.rules для USB сканеров
- используется sane-backends-2007-07-17
- используется ядро 2.6.21.6

20070709
- используется madwifi-ng-r2565-20070709
- используется wpa_supplicant-0.5.8

20070706
- используется madwifi-ng-r2545-20070706
- используется ndiswrapper-1.47
- используется alsa-driver-1.0.14

20070615
- поправлено подключение к альтернативным серверам в пакете openvpn

20070611
- добавлен патч для конфигурирования кнопки выключения питания
  http://sourceforge.net/mailarchive/forum.php?thread_name=f3gt2a%2458u%241%40sea.gmane.org&forum_name=thinstation-developer

20070608
- поправлен конфигурационный файл /etc/sane.d/snapscan.conf

20070516
- поправлен стартовый скрипт openvpn

20070513
- поправлены правила 10-udev.rules

20070511
- используется текущая cvs версия rdesktop
- к rdesktop приложен патч для корректной работы в режиме 8-ми битного цвета, 
  благодарность Александру Косарю <alex at kossar.com.ua>

20070509
- используется udev-110
- в пакет sane-smfp добавлены ещё библиотеки 

20070507
- добавлена поддержка SCSI/SATA устройств в udev скрипты
- косметические изменения в udev скриптах

20070506
- используется текущая cvs версия aufs
- используется текущая cvs версия rdesktop
- используется sane-backends-2007-05-06
- используется hplip-1.7.4a
- используется madwifi-ng-r2316-20070506
- добавлены библиотеки и симлинки в пакет sane-smfp

20070505
- в пакет sane-smfp добавлена библиотека libmfp.so
- используется madwifi-ng-r2308-20070504
- используется ndiswrapper-1.43
- используется alsa-driver-1.0.14rc4

20070504
- из-за хаотических зависаний ядра 2.6.21.1 произошел даунгрейд до 
  версии 2.6.20.11

20070503
- пересобрано ядро 2.6.21.1

20070502
- переименована переменная NET_ALIAS_DEVX в NET_ALIAS_DEVICEX
- для более гибкого управления маршрутизацией добавлена переменная
  NET_ROUTE_DEVICEX
- поправлены описания в файле config-diff.txt
- обновлены syslinux, isolinux, pxelinux до версии 3.36
- поправлен стартовый скрипт network
- добавлен драйвер ATA over Ethernet (aoe)
- используется madwifi-ng-r2303-20070430

20070429
- используется linux ядро 2.6.21.1
- используется текущая cvs версия aufs
- используется madwifi-ng-r2300-20070429
- используется ndiswrapper-1.43rc1
- обновлен видеодрайвер sis 
  http://www.winischhofer.net/sis/sis_drv_src_290906-1.tar.gz
- используется текущая cvs версия драйвера openchrome revision 318
- используется текущая cvs версия драйвера unichrome 20070418

20070428
- для резервирования openvpn туннелей добавлены новые конфиграционные 
  переменные OPENVPN_SERVERX, где X принимает целые значения от 1 до 4, 
  описание см. в файле config-diff.txt
- для создания алиасов сетевых интерфейсов и добавления отличных от дефолтного
  маршрутов добавлены новые конфигурационные переменные: 
  NET_ALIAS_DEVX, NET_ALIAS_IP_ADDRESSX, NET_ALIAS_NETMASKX, 
  NET_ROUTE_NETWORKX, NET_ROUTE_NETMASKX, NET_ROUTE_GWX, где
  X принимает целые значения от 1 до 5, описание см. в файле config-diff.txt

20070425
- используется текущий rdesktop из cvs
- пропатчен rdesktop на предмет залипающего Shift'а

20070420
- добавлен ethernet драйвер uli526x

20070419
- используется sane-backends-2007-04-18
- используется hplip-1.7.3

20070418
- используется linux ядро 2.6.20.7
- вместо unionfs теперь используется aufs
- используется madwifi-ng-r2279-20070417
- используется ndiswrapper-1.42rc2
- используется alsa-driver-1.0.14rc3
- используется текущий rdesktop из cvs

20070321
- в пакет sane-firmware добавлена прошивка для сканера EPSON Perfection 1270

20070320
- изменения в udev-скриптах usb.sh и 1394.sh

20070319
- используется sane-backends-2007-03-19

20070318
- в очередной раз поправлена поддержка принтеров HP LaserJet 
  1000/1005/1018/1020, кажется, прошивки просто не были сконвертированы в 
  удобоваримый для принтеров вид с помощью программы arm2hpdl

20070315
- поправлена поддержка принтеров HP LaserJet 1000/1005/1018/1020
- поправлена поддержка ACPI

20070222
- используется madwifi-ng-r2144-20070222
- используется ndiswrapper-1.37

20070205
- изменения в файле /etc/hotplug/usb/hplj1000

20070128
- ещё изменения в скрипте /etc/hotplug/usb/hplj1000
- переименованы файлы с прошивками для принтеров HP LaserJet 1000/1005/1018/1020

20070127
- используется alsa-driver-1.0.14rc2
- для корректной работы принтеров HP LaserJet 1000/1005/1018/1020 добавлен
  файл usb_printerid
- внесены изменения в скрипт /etc/hotplug/usb/hplj1000
- в busybox добавлена команда logger

20070124
- добавлена поддержка принтеров HP LaserJet 1000/1005/1018/1020

20070123
- используется ядро 2.6.19.2
- добавлен модуль cp2101 для поддержки сканеров штрих-кодов
  с интерфесом USB
- используется madwifi-ng-r1993-20070123
- используется unionfs-1.5pre-cvs200701171418
- используется ndiswrapper-1.35rc1

20070118
- добавлено udev правило для подключения usbserial устройств

20070117
- добавлены модули usbserial и pl2303 для поддержки сканеров штрих-кодов
  с интерфесом USB
- используется madwifi-ng-r1931-20070112
- используется unionfs-1.5pre-cvs200701042308
- используется ndiswrapper-1.34

20061230
- используется madwifi-ng-r1865-20061222
- используется alsa-driver-1.0.14rc1
- используется unionfs-1.4
 
20061216
- для поддержки работы rdesktop со смарт-картами в базовый загрузочный 
  образ включены пакеты pcscd и ccidreader

20061208
- текущий rdesktop пересобран с поддержкой смарт-карт, работоспособность
  не проверялась, для использования необходимо написать, что-то типа 
  SESSION_0_RDESKTOP_OPTIONS="-r scard"

20061206
- используется ядро 2.6.18.5
- используется релиз ndiswrapper-1.31
- используется madwifi-ng-r1823-20061128

20061127
- используется ядро 2.6.18.3
- используется релиз ndiswrapper-1.29
- используется madwifi-ng-r1821-20061124

20061125
- создан пакет sane-firmware, где находится firmware для сканеров

20061123
- используется текущий rdesktop из cvs

20061122
- busybox обновлен до версии 1.2.2.1
- в busybox добавлены команды: arping, diff, dirname, fdisk, fgrep, find, 
  head, killall, less, logread, mv, nslookup, patch, pwd, readlink, route, 
  tee, top, tr, traceroute, unix2dos, vi, which, xargs 

20061111
- обновлен dropbear до версии 0.48.1

20061109
- используется ядро 2.6.18.2
- используется madwifi-ng-r1794-20061104

20061105
- обновлены syslinux, isolinux, pxelinux до версии 3.31

20061101
- в thinstation.conf.buildtime добавлена переменная PKG_PREFIX=pkg
- пересобран wpa_supplicant

20061028
- используется madwifi-ng-r1784-20061027

20061027
- звуковые модули из отдельного пакета вернулись назад в базовый образ

20061023
- текущий тонкий клиент для проекта "Терминальная сеть" основан на релизе
  Thinstation-2.2

20061020
- исправлен баг с отсутствием в новом ядре необходимых для его загрузки патчей

20061017
- используется ядро 2.6.18.1
- используется релиз ndiswrapper-1.26
- используется madwifi-ng-r1753-20061015
- в виде отдельных пакетов доступны: debug, lpr, lprng, samba, sane, 
  sane-hplip, sane-smfp, ser2net, ssh, sshd, хorg6-apm, xorg6-ark, xorg6-ati, 
  xorg6-chips, xorg6-cirrus, xorg6-cyrix, xorg6-glint, xorg6-i128, xorg6-i740, 
  xorg6-mga, xorg6-neomagic, xorg6-nsc, xorg6-r128, xorg6-radeon, 
  xorg6-rendition, xorg6-s3virge, xorg6-savage, xorg6-siliconmotion, 
  xorg6-tdfx, xorg6-tga, xorg6-trident, xorg6-tseng, xorg6-vga, xorg6-vmware
- звуковые драйверы перенесены в пакет kernel-sound

20061010
- используется sane-backends-2006-10-10

20061008
- используется madwifi-ng-r1747-20060929
- используется alsa-driver-1.0.13
- используется ndiswrapper-1.26rc2
- в пакет sane-hplip добавлена библиотека libcups.so

20061007
- начат переход от монолитного initrd к пакетной системе

20060928
- используется madwifi-ng-r1734-20060927
- используется alsa-driver-1.0.13rc3
- используется текущая cvs версия драйвера openchrome revision 221

20060927
- использование sane-hplip требует 256 Мб оперативной памяти

20060924
- дополнительного функционал переносится в отдельные пакеты (packages),
  первый опыт - пакеты sane, sane-hplip и ser2net

20060923
- в пакет hplip добавлен hpssd
- убрали пакет hpoj, т.к. hplip полностью его заменяет, во всяком случае так
  написано на http://hpoj.sourceforge.net/: The HPOJ Project is no longer 
  being developed. The project is inactive and there are no plans to continue 
  work on this project. All future MFP support is being done by the HPLIP 
  project. We want to thank everybody that helped with the HPOJ project and 
  look forward to your HPLIP support. 
- введена новая переменная SANE_HPLIP=On/Off

20060921
- в пакет hplip добавлен hpiod
- используется ядро 2.6.18

20060920
- используется madwifi-ng-r1722-20060920
- используется sane-backends-2006-09-20

20060919
- добавлен sane backend hplip-1.6.9 для поддержки следующих устройств 
  http://hplip.sourceforge.net/supported_devices/combined.html

20060917
- используется madwifi-ng-r1716-20060917
- используется alsa-driver-1.0.13rc2

20060914
- используется rdesktop-1.5.0 release
- обновлен sane до текущей cvs версии, добавились backend'ы: canon_pp,
  dell1600n_net, gphoto2, hpsj5s, mustek_pp
- в sane (в backend'е genesys) включена экспериментальная поддержка сканеров 
  HP ScanJet 2400c и HP ScanJet 3670c 
- пакет hpoj пересобран с cvs версией sane
- используется ndiswrapper-1.24rc4

20060910
- используется madwifi-ng-r1700-20060809
- используется ndiswrapper-1.24rc3
- добавлен WiFi драйвер atmel
- по умолчанию установлен WIRELESS_DRIVER="", т.к. беспроводных Wi-Fi драйверов 
  уже целых пять видов (madwifi, ndiswrapper, ipw, hostap, atmel)
- по умолчанию установлен NET_DHCP_DELAY=0
- wpa_supplicant пересобран с поддержкой драйверов: hostap (Host AP), atmel 
  (ATMEL), wext (generic Linux wireless extensions), ndiswrapper (ndiswrapper),
  madwifi (madwifi)

20060909
- используется ядро 2.6.17.13

20060907
- убрали драйвер acerhk, не пригоди-и-илось ;-)

20060907
- добавлен WiFi драйвер hostap
- несколько уменьшен размер ядра за счет выбрасывания ненужных кусков, типа
  Hardware Monitoring, Video Capture Adapter, USB_MON

20060905
- исправлено конфигурирование беспроводного интерфейса в отсутствии DHCP 
  (NET_USE_DHCP=Off)

20060903
- добавлены драйверы ipw2100 и ipw2200 для поддержки WiFi адаптеров Intel 
  PRO/Wireless 2100/2200 (Centrino)
- текущие драйверы ipw работают с wpa_supplicant через wext (generic Linux 
  wireless extensions), поэтому wpa_supplicant пересобран без драйвера ipw, 
  внесены соответствующие изменения в стартовый скрипт /etc/init.d/network
- используется alsa-driver-1.0.13rc1
- изменения в udev-скриптах usb.sh и 1394.sh
- добавлен драйвер acerhk в надежде на поддержку специальных клавиш на ноутбуках

20060831
- обновлены syslinux, isolinux, pxelinux до версии 3.20
- оптимизировано выполнение скрипта для загрузки конфигурационных 
  файлов profile_setup, обработка списка от STORAGE_CONFIG1 до STORAGE_CONFIG8 
  заканчивается как только на любом носителе в каталоге thinstation.profile 
  будет найден файл thinstation.conf.user
- аналогично изменен стартовый скрипт ndiswrapper, обработка списка от 
  STORAGE_CONFIG1 до STORAGE_CONFIG8 заканчивается как только на любом носителе
  в каталоге thinstation.profile найден файл ndiswrapper.tar

20060830
- изменения в udev-скриптах usb.sh и 1394.sh
- в ndiswrapper выключен debug

20060829
- добавлена новая конфигурационная переменная RDESKTOP_1394 для подключения
  дисковых устройств на шине IEEE1394 (FireWire)
- изменены udev скрипты usb.sh, ide.sh, floppy.sh, в них добавлена проверка 
  на тип файловой системы vfat, ntfs и т.д.
- в thinstation.conf.buildtime добавлены переменные 
  STORAGE_CONFIG7=/mnt/usbdevice/sr0 и STORAGE_CONFIG8=/mnt/1394/sr0
  для хранения конфигурационных файлов на CD/DVD, подключенных к шинам
  USB и IEEE1394 (FireWire) 

20060828
- для поддержки SCSI сканеров включен модуль sg
- используется udev-098
- добавлены udev правила и скрипты для автоматического монтирования 
  дисковых устройств на шине IEEE1394 (FireWire)

20060827
- ndiswrapper версии 1.16 и выше требует от wpa_supplicant только поддержки 
  wext (generic Linux wireless extensions), поэтому wpa_supplicant теперь 
  пересобран без драйвера ndiswrapper, в связи с этим внесены изменения в 
  стартовый скрипт /etc/init.d/network, относящиеся к wpa_supplicant
- добавлен новый параметр NET_DHCP_DELAY для задания задержки перед
  конфигурированием сетевого интерфейса, по умолчанию выключен
  http://sourceforge.net/mailarchive/message.php?msg_id=32223900
- добавлены модули ieee1394, pcilynx, ohci1394, sbp2 для поддержки 
  дисковых устройств на шине IEEE 1394 (FireWire)
- используется ядро 2.6.17.11

20060826
- в пакет wireless добавлен iwpriv

20060819
- используется патч для звукового кодека на платах VIA EPIA
  http://wiki.openchrome.org/pipermail/openchrome-users/2006-August/001713.html
- используется CONFIG_16KSTACKS патч 
  http://www.linuxant.com/driverloader/wlan/downloads-patches.php

20060814
- в ndiswrapper включен debug
- используется текущая cvs версия драйвера openchrome
- используется текущая cvs версия драйвера unichrome

20060813
- изменения в стартовом скрипте ndiswrapper
- wpa_supplicant пересобран с поддержкой драйверов: hostap (Host AP), atmel 
  (ATMEL), ipw (Intel ipw2100/2200), wext (generic Linux wireless extensions), 
  wired (wired Ethernet), ndiswrapper (ndiswrapper), madwifi (madwifi)

20060811
- используется ядро 2.6.17.8
- используется madwifi-ng-r1700-20060809
- начаты работы по включению пакета ndiswrapper (позволяет использовать windows 
  NDIS драйверы для  беспроводных устройств), в загрузочный образ включен 
  модуль ядра ndiswrapper
- используется wpa_supplicant-0.4.9
- wpa_supplicant пересобран с поддержкой ndiswrapper
- используется текущий rdesktop из cvs
- косметические исправления в стартовых скриптах

20060803
- используется udev-0.96
- исправлены правила для udev

20060801
- используется madwifi-ng-r1696-20060730
- используется unionfs-1.3
- ещё раз поправлен баг с get_hostname()
- изменения в стартовом скрипте sane

20060728
- из-за ошибки с монтированием съемных устройств с udev-0.96 откатились
  на udev-0.90 

20060726
- используется ядро 2.6.17.7
- используется madwifi-ng-r1692-20060723
- используется патч для rdesktop благодарность Андрею Филонову <aef at antar.bryansk.ru>
  http://www.itadvisor.ru/sites/ita/Shared%20Files/disk.c.diff
- в replimenu добавлен вывод IP-адреса клиента

20060722
- косметические изменения в стартовом скрипте sane

20060719
- используется ядро 2.6.17.6
- используется udev-096

20060716
- используется ядро 2.6.17.5
- используется madwifi-ng-r1686-20060715

20060713
- пакет hpoj пересобран с новым sane-1.0.18
- используется текущий rdesktop из cvs
- rdesktop-oss.diff патч включен в cvs, поэтому убран из сборки 

20060712
- исправлена ошибка с повторной инициализацией сетевого интерфейса в функции 
  get_hostname()
- используется текущий rdesktop из cvs

20060711
- расширен и дополнен файл readme-hdd.txt, благодарность Александру Мычко 
  <alex_kayot at mail.ru>
- используется ядро 2.6.17.4
- используется madwifi-ng-r1680-20060709

20060710
- используется текущий rdesktop из cvs
- используется патч http://www.zerfleddert.de/rdesktop/rdesktop-oss.diff

20060706
- добавлена потерявшаяся библиотека libiw.so.28
- обновлен sane до версии 1.0.18

20060625
- компания "Донинформ" http://www.doninform.ru проспонсировала включение пакета 
  sane-1.0.17 (поддержка работы со сканерами)

20060620
- используется текущий rdesktop из cvs
- используется патч rdesktop_rdp_in_unistr.diff
  http://sourceforge.net/tracker/index.php?func=detail&aid=1454683&group_id=24366&atid=381349
- косметические исправления в стартовых скриптах

20060614
- переехали на 2.2rc4

20060612
- портированы стартовые сетевые скрипты из грядущего 2.2rc4, которые любезно
предоставил Miles Roper
- OpenVPN в свете этих перемен теперь стартует на уровне S06

20060607
- используется ядро 2.6.16.20

20060606
- инициализация OpenVPN теперь осуществляется в /etc/init.d/openvpn

20060602
- в стартовом скрипте OpenVPN исправлена ошибка в пути к клиентскому серфтикату

20060601
- в стартовом скрипте OpenVPN сделана поддержка клиентских сертификатов, 
  которые находятся в самом загрузочном образе (сделано для включения в 
  оригинальный релиз c thinstation.sf.net и применимо только при 
  самостоятельной сборке образов)
 
20060531
- поправлены даты в changelog'е
- добавлена задержка в скрипт profile_setup, которая позволяет читать 
  конфигурационный файл thinstation.conf.user c USB-флэш дисков
- добавлены новые переменные RDESKTOP_USB1 и RDESKTOP_USB2, 
  см. config-diff.txt

20060530
- используется ядро 2.6.16.18
- используется madwifi-ng-r1604-20060526
- добавлен пакет ser2net, который позволяет перенаправить по сети физический 
  последовательный порт в tcp порт
- добавлено описание новых конфигурационных опций в файле config-diff.txt
- используется текущий rdesktop из cvs

20060512
- в OpenVPN включена поддержка работы через прокси, для этого введены новые 
  конфигурационные переменные, см. config-diff.txt 

20060511
- косметические исправления в стартовом скрипте openvpn
- введены новые конфигурационные переменные для OpenVPN, см. config-diff.txt

20060508
- для Wi-Fi инетерфейса работает назначение IP-адресов вручную
  (NET_USE_DHCP=Off), патч для thinstation отправлен Майлзу Роперу, он обещает 
  включить его в 2.2rc3

20060506
- используется ядро 2.6.16.14
- включен модуль tun
- добавлен пакет openvpn
- введена новая конфигурационная переменная OPENVPN_SERVER, см. config-diff.txt

20060505
- уменьшена многословность udev
- thinstation.conf.example заменен на обновленный файл thinstation.conf.sample
- в опции запуска rdesktop добавлено "-k none"

20060504
- поправлена функция check_xrunning

20060502
- wireless_tools обновлены до версии 28

20060429
- убрана переменная WIRELESS_WAITTIME
- поправлен скрипт отвечающий за WPA шифрование для Wi-Fi (network)
- введена переменная WIRELESS_DRIVER, см. config-diff.txt

20060428
- поправлены зависимости драйвера openchrome (libexa.so)
- из-за использования unionfs изменен путь к openchrome/unichrome драйверам
- используется патч для umount из busybox-1.1.2 отсюда
  http://bugs.busybox.net/view.php?id=837&nbn=1

20060427
- переехали на Thinstation-2.2rc1
- используется ядро 2.6.16.11
- обновлены драйверы unichrome и openchrome
- обновлены syslinux, isolinux, pxelinux до версии 3.11
- переписана поддержка WPA/WPA2 шифрования для Wi-Fi, благодарность 
  Виктору Устюгову  <victor+itadvisor at corvax.kiev.ua>
- введены новые конфигурационные переменные WIRELESS_WPAKEY и WIRELESS_WAITTIME,
  подробности см. в файле config-diff.txt
- автоматическое монтирование ntfs разделов на жестких дисках в режиме 
  чтения-записи
- отключен синхронный режим монтирования съемных носителей
- отключен автостарт сессии (AUTOSTART=off)
- изменились требования к оперативной памяти, минимальный объем ОЗУ - 40Мб

20060416
- для автоматического монтирования ntfs разделов на жестких дисках и USB 
  носителях в режиме только чтение изменены скрипты ide.sh и usb.sh
- обновлен busybox до версии 1.1.2, проблема с ошибкой от 20060410 была в tr, 
  поэтому пока используется tr от Fedora Core 3

20060414
- появился новый конфигурационный параметр MOUSE_ACCELERATION, который 
  принимает положительное целое или дробное значение, дробное значение 
  замедляет мышь, единица ничего не меняет, целое больше единицы - ускоряет,
  значение по умолчанию 1/2
20060413
- вместо драйвера madwifi используется более современный драйвер madwifi-ng
- ещё раз восстановлена работа telnetd ;-)
- включена поддержка чтения ntfs разделов

20060410
- новый busybox-1.1.2 не работает, выдает segmentation fault на 
  /etc/init.d/session

20060408
- в 2.2beta9 используется ядро 2.6.16.2 
- поправлены udev скрипты в 2.2beta9
- udev скрипты из 2.2beta9 перенесены 2.2beta8
- собрана последняя версия 2.2beta8, дальше будет только 2.2beta9
- восстановлена работа telnetd

20060407
- переехали на Thinstation-2.2beta9

20060406
- портированы фиксы из 2.2beta9 для udev скриптов
- опять вернули 2 попытки получения IP-адреса от DHCP сервера
- используется текущий rdesktop из cvs
- убран rawkeyboard патч из ALT linux
- компания "Донинформ" http://www.doninform.ru проспонсировало включение madwifi 
  драйвера (поддержка беспроводных устройств на чипсете Atheros)
- косметические изменения в загрузочном меню (отображается номер версии)

20060328
- с 2-х до 4-х увеличено число попыток получения IP-адреса от DHCP сервера
- забыл указать, что 20060322 добавлен модуль bnx2

20060325
- возвращаемся к синхронному режиму монтирования съемных носителей, т.к.
  некоторые не обнаруживали записанного на своих флэшках при быстром их 
  отрывании после записи; теперь медленно, но верно
- добавлен модуль ne io=0x300 

20060324
- портирован supermount патч для ядра 2.6.16, огромная благодарность Алексею
  Миллеру <asm at asm.kiev.ua>

20060322
- используется ядро 2.6.16 
- используется squashfs-3.0
- вкомпилированы в ядро следующие модули: agpgart, intel-agp, i810fb и intelfb;
  надеюсь, это решит проблему с bootsplash на чипсете i810
- добавлены модули: b44, hp-plus, hp, lp486e, lance, smc9194, wd, winbond-840,
  xircom_cb, xircom_tulip_cb, hamachi, yellowfin, 3c589_cs, 3c574_cs, fmvj18x_cs,
  pcnet_cs, nmclan_cs, smc91c92_cs, xirc2ps_cs, axnet_cs, ray_cs, netwave_cs, 
  wavelan_cs

20060317
- используется текущий rdesktop из cvs
- используется rawkeyboard патч из ALT linux, теперь работает клавиша 
  PrintScreen

20060307
- используется текущий rdesktop из cvs
- исправлен баг с доступом к CDROM, благодарность Diadia
  http://www.itadvisor.ru/sites/ita/Discussion%20Board/DispForm.aspx?ID=505&Source=http%3A%2F%2Fwww%2Eitadvisor%2Eru%2Fsites%2Fita%2FDiscussion%2Easpx

20060227
- в thinstation.conf.buildtime добавлена переменная STORAGE_CONFIG6=/mnt/cdrom,
  thinstation.profile/thinstation.conf.user теперь можно хранить на cdrom
- в thinstation.conf.buildtime добавлена переменная RDESKTOP_COLOR_DEPTH, она 
  регулирует глубину цвета в rdp соединении, значение по умолчанию "16"

20060226
- наведен порядок в переменных STORAGE_CONFIG, см. thinstation.conf.buildtime

20060222
- параметр bootvebosity был 0, стал 3 

20060221
- используется текущий rdesktop из cvs

20060208
- аудиодрайверы для ISA карт, находящиеся в загрузочном образе, приведены 
  в соответствие со списком в файле hardware.txt

20060207
- добавлен модуль snd-fm801, ранее был ошибочно указан как добавленный, а на 
  самом деле его не было
- изменения в readme* файлах
- отражение последних изменений в файле hardware.txt

20060206
- в ядре 2.6.14.2 включена поддержка ACPI

20060205
- добавлены модули: snd-hda-intel, snd-fm801, snd-ad1889, snd-usb-audio
- версии видеодрайверов для VIA из проектов openchrome и unichrome
  синхронизированы с веткой, используемой в версии тонкого клиента 2.1.3-alsa

20060202
- используется текущий rdesktop из cvs
- добавлены видеодрайверы VIA из проектов openchrome и unichrome
- добавлена новая конфигурационная переменная VIA_DRV, которая позволяет 
  выбирать между тремя видеодрайверами VIA: xorg, unichrome и 
  openchrome; по умолчанию используется openchrome
- добавлен файл примера конфигурации thinstation.conf.group-unichrome,
  для VIA обязательно указывать частоту вертикальной развертки монитора,
  например SCREEN_HORIZSYNC="30-65", см. thinstation.conf.group-unichrome 

20060128
- изменен скрипт mktftpd.cmd, т.к. служба tftpd не настраивалась, если
  был удален временный каталог

20060124
- по просьбам трудящихся убрана надпись "Press F2 for verbose mode"

20051230
- исправлена ошибка с неверными разрешениями на файл '/bin/shutdown'
- снова работают конфигурационные файлы на съемных носителях
- при сборке rdesktop линкуется с правильной библиотекой libcrypto.0.9.8
- добавлен скрипт mkdhcpd.cmd для конфигурирования DHCP сервера 
- изменен скрипт mktftpd.cmd, добавлены комментарии

20051229
- основан на Thinstation-2.2beta8
- используется релиз xorg-6.9.0
- используется текущий rdesktop из cvs
- в ближайший TODO поставлены пересборка ядра с ACPI, сборка драйвера
  unichrome/openchrome драйвера для xorg-6.9.0
- изменено именование архивов загрузочных образов

20051226
- основан на Thinstation-2.2beta7
- используется стандартное ядро 2.6.14.2 из Thinstation-2.2beta7, в нем 
  пока отсутствует поддержка ACPI
- используется glibc-2.3.5
- используется xorg 6.8.99.903 (6.9.0rc3)
- используется "родной" via unichrome драйвер из xorg
- используется текущий rdesktop из cvs
- из-за перехода с devfs на udev поменялись пути к точкам монтирования 
  некоторых устройств, так для конфигурационных файлов, загружаемых с 
  носителей теперь используются следующие пути:
  STORAGE_CONFIG1=/mnt/floppy
  STORAGE_CONFIG2=/mnt/usbdevice/sda/part1
  STORAGE_CONFIG3=/mnt/disc/hda/part1

20051117
- используется текущий rdesktop из cvs
- добавлена возможность загружать свой конфигурационный файл с дискеты,
  USB-флэша, жесткого диска (необходимое условие - носитель должен быть 
  доступен для записи), для этого в файл thinstation.conf.buildtime
  добавлены следующие директивы: 
  STORAGE_CONFIG1=/mnt/floppy 
  STORAGE_CONFIG2=/mnt/disc/disc0/part1
  STORAGE_CONFIG3=/mnt/usbdevice/bus0.target0.lun0/part1
  чтобы использовать эту возможность необходимо на соответствующем носителе 
  создать каталог thinstation.profile и поместить в него файл 
  thinstation.conf.user, пример подобного файла находится в 
  tftpboot\thinstation.conf.user

20051113
- изменен скрипт mkftpd.cmd, теперь cacls не останавливается при существующем 
  каталоге tftpboot, также прямое указание диска C: заменено на переменную 
  %SYSTEMDRIVE%

20051108
- добавлен патч для thinstation, который добавляет задержку в скрипт 
  storage.hotplug , что позволяет учесть особенности разбиения и 
  монтирования некоторых USB-дисков, благодарность Владиславу Наумову 
  <vnaum at lab321.ru>

20051107
- изменен скрипт mkftpd.cmd в части подавления запроса cacls при существующем
  каталоге tftpboot
- добавлены комментарии и примеры в конфигурационный файл thinstation.hosts 
- добавлены конфигурационные файлы thinstation.conf.group-*, которые учитывают
  различные аппаратные платформы 

20051029
- используется текущая cvs версия видеодрайвера via из проекта unichrome.sf.net

20051028
- убрана опция "-r clipboard:no", т.к. она не поддерживается rdesktop
- используется текущий rdesktop из cvs

20050927
- на тонком клиенте установлен часовой пояс, значение по умолчанию - 
  TIME_ZONE="Europe/Moscow"

20050923
- обновлен файл thinstation.conf.buildtime
- по умолчанию включен доступ на тонкого клиента по телнету, рутовый пароль
  lplp123

20050922
- добавлен скрипт, вызываемый по крону раз в минуту, который проверяет жив ли 
  процесс lp_server (принт-сервер совместимый с  HP JetDirect) и перезапускает
  его в случае чего

20050904
- из опций запуска rdesktop убран "-5" (по умолчанию и так используется протокол
  rdp5) и добавлен  "-r clipboard:no"

20050903
- используется новый rdesktop из cvs, теперь cуммарная длина имени файла 
  и пути к нему может действительно быть более 128 символов, но имя отдельного
  файла или каталога пока не может превышать 127 символов, благодарность 
  Петеру Астранду (Peter Astrand) <peter at cendio.se>, мейнтейнеру rdesktop;
  работы в этом направлении продолжаются
- из конфигурационного файла thinstation,conf.network убрана опция 
  KEYBOARD_MAP=en_us, т.к. она нигде не используется (ранее был выключен xkb)

20050831
- добавлены файлы thinstation.conf.example и thinstation.hosts.example,
  благодарность Шеронову Игорю aka ilion за смелые эксперименты над 
  конфигурационными файлами ;-)

20050829
- изменен файл thinstation.conf.buildtime, в него добавлены 
  RDESKTOP_SLOWLINK=On и RDESKTOP_COMPRESSION=On

20050824
- добавлены два новых параметра конфигурационного файла thinstation.conf*:
  RDESKTOP_SLOWLINK и RDESKTOP_COMPRESSION; первый регулирует использование 
  в rdesktop опции "-x m" (-x: RDP5 experience (m[odem 28.8], b[roadband],
  l[an] or hex nr.)), второй - "-z" (-z: enable rdp compression) 
- обновлен видеодрайвер via для xorg-6.8.2 с unichrome.sf.net, со старым 
  драйвером на Roverbook'е возникала ошибка "VGA BIOS image is wrong!"

20050823
- с версии 20050815 перестал работать правый Alt, чтобы решить эту проблему 
  выключен xkb (убран package keymaps-en_us, на этот раз сознательно)

20050822
- добавлены недостающие модули для работы последовательного порта:
  8250, 8250_pci, 8250_pnp, serial_core

20050818
- добавлен потерянный package keymaps-en_us
- упорядочены звуковые и сетевые драйверы,в процессе переезда на ядро
  2.6.х возник разрыв между декларированным железом и тем, что реально работало;   
  теперь загружаемые модули соответствуют написанному в hardware.txt
- скрипту S05network, переименованному в свое время в S02network 
  (это было связано с опытами подключения локальных дисков с юникодными именами
  и доступа к ним самбы http://sourceforge.net/mailarchive/message.php?msg_id=8825320), 
  возвращено прежнее имя

20050817
- добавлены модули: ali-agp, amd-k7-agp, ati-agp, intel-agp, nvidia-agp,
  sis-agp, via-agp, yenta_socket
- убран модуль: nls_cp437

20050816
- основан на Thinstation-2.2beta4
- используется текущий rdesktop из cvs, в который уже включен патч про 
  длинные имена
- изменены опции mount: убраны uid,gid,sync
- ядро 2.6.12
- в ядре включена поддержка ACPI: CONFIG_ACPI=y

20050815
- используется текущий rdesktop из cvs
- используется Xorg 6.8.2 из текущей Thinstation-2.2beta4
- решена проблема залипающего Alt, благодарность Владимиру Безуглову 
  < barvinok at ctsnet.ru> aka Barvinok : http://forum.ixbt.com/topic.cgi?id=7:20166-8#209
- изменено разрешение экрана при начальной загрузке - 800x600 (было 1024х768)
- измененения в  thinstation.conf.buildtime: RDESKTOP_HDD=Off, 
  RDESKTOP_COM3=Off, RDESKTOP_COM4=Off
- изменен параметр запуска rdesktop: было -a16, стало -a$SCREEN_COLOR_DEPTH,
  где SCREEN_COLOR_DEPTH задается в thinstation.conf.network
- rdesktop запускается с опцией -z: enable rdp compression
- есть обоснованное подозрение, что в патч для поддержки длинных имен и 
  путей к файлам на съемных носителях в rdp-сессии что-то недопатчивает, 
  и поэтому, до получения более прямой его версии, советую придерживаться 
  следующего правила: суммарная длина имени файла и пути, исключая 
  \\tsclient\FDD, \\tsclient\CDROM и т.д., не должна превышать 128 символов
- съемные носители (ранее только CDROM) монтируются с опцией utf8 (было 
  iocharset=utf8)


20050731
- исправлена досадная очепятка в thinstation.conf.network, приводящая к 
  неработоспособности LPT порта, вместо "PRINTER_0_TYPE=P" было написано
  "PRINTER__TYPE=P"
- используется текущий rdesktop из cvs
- в rdesktop добавлен патч для исправления неправильного поведения 
  в русской раскладке при нажатом CAPS LOCK, благодарность Игорю 
  Денисову <dik at kron.com.ua>
- в thinstation.config.network добавлены две новые переменные:
  RDESKTOP_COM3 и RDESKTOP_COM4. Первая производит отображение
  порта COM1 тонкого клиента в порт COM3 терминального сервера,
  вторая COM2 в COM4. Эти переменные добавляют к rdesktop опции запуска 
  "-r comport:COM3=/dev/ttyS0" и "-r comport:COM4=/dev/ttyS1", соответственно.
- ввиду постоянно возникающего требования работы по линкам отличным от эзернета,
  rdesktop пускается с опцией "-x m" (раньше было " -x l"); -x: RDP5 experience 
  (m[odem 28.8], b[roadband], l[an] or hex nr)
- добавлены модули: ad1848, ns83820, dl2k

20050703
- добавлены новые загрузочные образы: etherboot, iso, syslinux
- добавлены драйверы беспроводных устройств: Prism 2.5, Hermes, Cisco/Aironet
- добавлен файл thinstation.conf.buildtime
- исправлены перепутанные USB и LPT принтеры в thinstation.conf.network,
  PRINTER_0 - LPT (порт 9100), PRINTER_1 - USB (порт 9101)
- изменения и дополнения в readme*.txt файлах
    
20050628
- пересобран на базе релиза Thinstation-2.1.1, соответственно,
  все исправления, которые случились между этой версией и 
  Thinstatiom-2.1rc1, на котором основывались прошлые релизы
- cdrom монтируется с опцией utf8 (было iocharset=utf8)
- в readme.txt добавлено описание бага 
- добавлен файл COPYING c лицензией GNU GPL Version 2

20050528
- в rdesktop-1.4.1 добавлен патч для поддержки длинных имен и 
  путей к файлам, благодарность Алексею Миллеру <asm at asm.kiev.ua>
- добавлены модули: pcmcia, apm, 3c509, natsemi, de4x5, hp100,
  epic100, fealnx, smc-ultra, starfire, tlan, typhoon, winbond-840,
  cs4232, sb io=0x220 irq=5 dma=1 dma16=5, sb isapnp=1, sonicvibes
- добавление ACPI в предыдущей версии привело к тому, что кнопка выключения 
  компьютера срабатывает теперь с задержкой. Указание acpi=off в параметрах 
  загрузки не помогает. Я попытаюсь исследовать этот вопрос и найти решение 
  в следующих версиях
- забыл написать, что начиная с самой первой версии съемные носители 
  монтируются с опцией sync (синхронно). Отсюда, возможно некоторое 
  подтормаживание, зато надежно. USB-флэшку можно вытащить в любой момент 
  после визуального окончания записи
- косметические изменения в файлах hardware.txt и readme.txt
  
20050520
- ядро 2.4.28 собрано с поддержкой ACPI
- новый rdesktop-1.4.1 release
- убрана совместимость с DOS (генерация коротких имен файлов на VFAT), 
  взамен получили полный уникод (UTF-8) в длинных именах файлов на 
  съемных носителях, больше не привязаны к досовским кодовым страницам,
  благодарность за идею Андрею Ковалеву <aka at wtware dot ru>
- добавлены сетевые драйверы
- добавлены видео драйверы
- добавлены звуковые драйверы
- изменена загрузочная заставка
- появился changelog
- исправлена ошибка в mktftpd.cmd, 
  благодарность Алексею Яаврумяну <alexeyy at sven dot ua>
- добавлен файл с лицензией от Thinstation
- косметические изменения в загрузочных скриптах

20050424
- новый rdesktop cvs от 24.04.2005
- включена rdp-компрессия
- добавлен сетевой драйвер 3COM 3c590/3c900
- в thinstation.conf.network добавлена возможность печати на USB и LPT 
  принтеры одновременно через эмуляцию HP JetDirect:
  LPT - порт 9100, USB - порт 9101

20050328 
- первый публичный релиз
